
QGIS Application - Bug report #21052

Layer>Save As>Autocad DXF produces DXF that crashes AutoCAD

2019-01-21 06:55 AM - Alister Hood

Status: Rejected

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 28871

Description

Not a problem here in 2.18.23 and 3.2.3, which are using older versions of gdal.

Recent versions here such as 3.4.3, 2.18.27 and 2.18.28 "save as" a dxf that is smaller (8kb vs 21kb for a minimal file), and crashes

AutoCAD if someone tries to open it there, although it does load OK into QGIS.  Looking at the contents of the dxf it isn't immediately

obvious to me exactly what the problem with the dxf is, but I'm no expert.

I guess this could either be due to a change in QGIS that has also been backported, changes required in QGIS for the newer gdal, or an

upstream bug...

There is no problem with DXF produced by ogr2ogr.

Tested on Windows with AutoCAD 2019 and 2017.

Attached are some examples.

History

#1 - 2019-01-21 06:57 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Rejected

This bug would be a result of the GDAL library upgrade -- can you file it at https://github.com/OSGeo/gdal/issues ?

#2 - 2019-01-21 07:24 AM - Alister Hood

https://github.com/OSGeo/gdal/issues/1213

Files

2.18.27.dxf 7.53 KB 2019-01-21 Alister Hood

2.18.23.dxf 20.8 KB 2019-01-21 Alister Hood

shp.zip 1.55 KB 2019-01-21 Alister Hood

2025-06-13 1/1

https://github.com/OSGeo/gdal/issues
https://github.com/OSGeo/gdal/issues/1213

